### GET /campus/list
* method: GET
* version: v1.0
* describe: 获取校区列表

##### 参数说明

|name |type| null | desc |
|---- |:---|:---|:----:|
| name | string | yes | 名称 |
| status | string | yes | NORMAL, DEL |
| pageNo | int | yes | 页码 |
| pageSize | int | yes | 页大小 |

##### 返回字段说明
| name | type | desc |
|------|:-----|:----:|
| id | string | id |
| code | string | 校区代码 |
| name | string | 校区名称 |
| merchantId | string | 渠道id |
| merchantName | string |  渠道名称 |
| provinceCode | string | 省份代码 |
| cityName | string | 城市名字 |
| zoneName | string | 校区名称 |
| serialNo | int | 流水号 |
| contactName | string | 联系人 |
| mobile | string | 手机号 |
| address | string | 联系人地址 |
| bankAccount | string | 银行账号 |
| depositBank | string |  开户行 |
| gmtCreated | int | 创建时间戳 |
| gmtModified | int | 修改时间戳 |

##### 结果示例
```
{
    "code": 200,
    "success": true,
    "message": null,
    "data": {
        "pageNo": 1,
        "pageSize": 10,
        "totalSize": 2,
        "list": [
            {
                "id": "b83cb060d1794eb18ace98f83ca1b091",
                "code": "150223211102",
                "merchantId": "1",
                "provinceCode": "11",
                "cityName": "东城区",
                "zoneName": "十三中",
                "serialNo": 2,
                "contactName": "test",
                "mobile": "18233332209",
                "address": "北京八大胡同",
                "bankAccount": null,
                "depositBank": null,
                "gmtCreated": 1514366902000,
                "gmtModified": 1514366902000,
                "name": "北京-东城区-十三中",
                "merchantName": "huodong"
            },
            {
                "id": "9693eb0ed7dd4318aa2bb21b0c0c58af",
                "code": "150223211101",
                "merchantId": "1",
                "provinceCode": "11",
                "cityName": "东城区",
                "zoneName": "十三中",
                "serialNo": 1,
                "contactName": "test",
                "mobile": "18233332209",
                "address": "北京八大胡同",
                "bankAccount": null,
                "depositBank": null,
                "gmtCreated": 1514366848000,
                "gmtModified": 1514366848000,
                "name": "北京-东城区-十三中",
                "merchantName": "huodong"
            }
        ],
        "start": 0,
        "totalNo": 1
    }
}
```
