### GET /merchant/list
* method: GET
* version: v1.0
* describe: 获取渠道商列表

##### 参数说明

|name |type| null | desc |
|---- |:---|:---|:----:|
| code | string | yes | 编码 |
| name | string | yes | 名称 |
| merchantId | string | yes | 渠道id |
| status | string | yes | 类型 |
| pageNo | int | yes | 页码 |
| pageSize | int | yes | 页大小

##### 返回字段说明
| name | type | desc |
|------|:-----|:----:|
| id | string | id |
| code | string | 代码 |
| name | string | 名称 |
| licenseId | string | 执照 |
| taxNumber | string | 纳税人识别号 |
| bankAccount | string | 银行账户 |
| depositBank | string | 开户行 |
| receiptType | string | 发票类型 |
| status| int| 状态 |
| gmtCreated|int | 创建时间 |
| gmtModified|int|修改时间

##### 示例
```
{
    "code": 200,
    "success": true,
    "message": null,
    "data": {
        "pageNo": 1,
        "pageSize": 10,
        "totalSize": 1,
        "list": [
            {
                "id": "1",
                "code": "2321",
                "name": "huodong",
                "licenseId": "23321",
                "taxNumber": "000",
                "bankAccount": "001",
                "depositBank": "海淀支行",
                "receiptType": "SPECIAL",
                "status": "NORMAL",
                "gmtCreated": 1513304166000,
                "gmtModified": 1513304166000,
                "adminList": null
            }
        ],
        "start": 0,
        "totalNo": 1
    }
}
```
