### GET /resource/list
* method: GET
* version: v1.0
* describe: 获资源列表

##### 参数说明

|name |type| null | desc |
|---- |:---|:---|:----:|
| code | string | yes | 编码 |
| name | string | yes | 名称 |
| type | int | no | 资源种类, 取值{0:video,1:audio,2:live,3:img} |
| pageNo | int | yes | 页码 |
| pageSize | int | yes | 页大小 |

##### 返回字段说明
| name | type | desc |
|------|:-----|:----:|
| id | string | id |
| code | string | 编码 |
| name | string | 名称 |
| type | int | 类型 |
| format | string | 资源格式 |
| quality | string | 资源质量 |
| rate | int | 资源码率 |
| size | int | 资源大小 |
| status| string | 状态 |
| gmtCreated| int | 创建时间 |
| gmtModified|int|修改时间|

##### 结果示例
```
{
    "code": 200,
    "success": true,
    "message": null,
    "data": {
        "pageNo": 1,
        "pageSize": 10,
        "totalSize": 2,
        "list": [
            {
                "id": "61cced1370874e60b14d47962712cb3a",
                "code": "test-302",
                "name": "test",
                "type": 3,
                "format": "jpg",
                "quality": "low",
                "size": 90,
                "path": "/test/301",
                "status": "NORMAL",
                "gmtCreated": 1511264969000,
                "gmtModified": 1511264969000,
                "url": "http://efunimgs.oss-cn-beijing-internal.aliyuncs.com/resources//test/301"
            },
            {
                "id": "707e9ade2df94e9494ab6bdf20dae669",
                "code": "test-301",
                "name": "test-301",
                "type": 3,
                "format": "jpg",
                "quality": "low",
                "size": 90,
                "path": "/test/301",
                "status": "NORMAL",
                "gmtCreated": 1511264969000,
                "gmtModified": 1511264969000,
                "url": "http://efunimgs.oss-cn-beijing-internal.aliyuncs.com/resources//test/301"
            }
        ],
        "start": 0,
        "totalNo": 1
    }
}
```
