### GET /user/list
* method: GET
* version: v1.0
* describe: 获取终端用户列表

##### 参数说明
|name |type| null | desc |
|---- |:---|:---|:----:|
| code | string | yes | 学号 |
| campusId | string | yes | 校区id |
| pageNo | int | yes | 页码 |
| pageSize | int | yes | 页大小 |

##### 返回字段说明
| name | type | desc |
|------|:-----|:----:|
| id | string | id |
| campusId | string | 校区id |
| name | string | 终端教室名称 |
| code | string | 学号 |
| merchantId | string | 渠道id |
| uid | string | 远程id |
| merchantName | string | 渠道名称 |
| contactName | string | 联系人名称 |
| mobile | string | 手机 |
| status | string | 状态 |
| deviceStatus | int | 绑定状态 |

##### 返回结果示例
```
{
    "code": 200,
    "success": true,
    "message": null,
    "data": {
        "pageNo": 1,
        "pageSize": 10,
        "totalSize": 11,
        "list": [
            {
                "id": "b4d091a0ee3b4d50af4e44ee9c1e09c4",
                "campusId": "b83cb060d1794eb18ace98f83ca1b091",
                "name": "教室五",
                "code": "150223211102005",
                "password": null,
                "serialNo": 10,
                "status": "DISABLE",
                "gmtCreated": 1514515828000,
                "gmtModified": 1514975956000,
                "merchantId": "1",
                "remoteUid": null,
                "merchantName": "huodong",
                "contactName": "test",
                "mobile": "18233332209",
                "deviceStatus":1
            },
            {
                "id": "a7e3da1c10714b6688a8d907b2a2bca9",
                "campusId": "b83cb060d1794eb18ace98f83ca1b091",
                "name": "教室十五",
                "code": "150223211102014",
                "password": null,
                "serialNo": 14,
                "status": "NORMAL",
                "gmtCreated": 1514543523000,
                "gmtModified": 1514543674000,
                "merchantId": "1",
                "remoteUid": null,
                "merchantName": "huodong",
                "contactName": "test",
                "mobile": "18233332209",
                "deviceStatus":1
            },
            {
                "id": "ca3099db87d04a19b780b7f65f168d36",
                "campusId": "b83cb060d1794eb18ace98f83ca1b091",
                "name": "教室十三",
                "code": "150223211102013",
                "password": null,
                "serialNo": 13,
                "status": "NORMAL",
                "gmtCreated": 1514543521000,
                "gmtModified": 1514543521000,
                "merchantId": "1",
                "remoteUid": null,
                "merchantName": "huodong",
                "contactName": "test",
                "mobile": "18233332209",
                "deviceStatus":0
            },
            {
                "id": "ab1bc0f030984e999ff5337dbc451ad8",
                "campusId": "b83cb060d1794eb18ace98f83ca1b091",
                "name": "教室十二",
                "code": "150223211102012",
                "password": null,
                "serialNo": 12,
                "status": "NORMAL",
                "gmtCreated": 1514543518000,
                "gmtModified": 1514543518000,
                "merchantId": "1",
                "remoteUid": null,
                "merchantName": "huodong",
                "contactName": "test",
                "mobile": "18233332209",
                "deviceStatus":0
            },
            {
                "id": "ec11e99728864c379f20f2f712968771",
                "campusId": "b83cb060d1794eb18ace98f83ca1b091",
                "name": "教室十一",
                "code": "150223211102011",
                "password": null,
                "serialNo": 11,
                "status": "NORMAL",
                "gmtCreated": 1514516059000,
                "gmtModified": 1514516059000,
                "merchantId": "1",
                "remoteUid": null,
                "merchantName": "huodong",
                "contactName": "test",
                "mobile": "18233332209",
                "deviceStatus":0
            },
            {
                "id": "a90c416b6b1c48a08956abe1e0550b81",
                "campusId": "b83cb060d1794eb18ace98f83ca1b091",
                "name": "教室七",
                "code": "150223211102007",
                "password": null,
                "serialNo": 7,
                "status": "NORMAL",
                "gmtCreated": 1514515975000,
                "gmtModified": 1514515975000,
                "merchantId": "1",
                "remoteUid": null,
                "merchantName": "huodong",
                "contactName": "test",
                "mobile": "18233332209",
                "deviceStatus":0
            },
            {
                "id": "6c515f316e6448c9993dde3421d94185",
                "campusId": "b83cb060d1794eb18ace98f83ca1b091",
                "name": "教室六",
                "code": "150223211102006",
                "password": null,
                "serialNo": 6,
                "status": "NORMAL",
                "gmtCreated": 1514515882000,
                "gmtModified": 1514515882000,
                "merchantId": "1",
                "remoteUid": null,
                "merchantName": "huodong",
                "contactName": "test",
                "mobile": "18233332209",
                "deviceStatus":0
            },
            {
                "id": "34d5f9b5012042a396d907133189fb92",
                "campusId": "b83cb060d1794eb18ace98f83ca1b091",
                "name": "教室四",
                "code": "150223211102004",
                "password": null,
                "serialNo": 4,
                "status": "NORMAL",
                "gmtCreated": 1514515690000,
                "gmtModified": 1514515690000,
                "merchantId": "1",
                "remoteUid": null,
                "merchantName": "huodong",
                "contactName": "test",
                "mobile": "18233332209",
                "deviceStatus":0
            },
            {
                "id": "6787bf758c5c4c64b57d0d8d0958d50e",
                "campusId": "b83cb060d1794eb18ace98f83ca1b091",
                "name": "教室三",
                "code": "150223211102003",
                "password": null,
                "serialNo": 3,
                "status": "NORMAL",
                "gmtCreated": 1514452061000,
                "gmtModified": 1514452061000,
                "merchantId": "1",
                "remoteUid": null,
                "merchantName": "huodong",
                "contactName": "test",
                "mobile": "18233332209",
                "deviceStatus":0
            },
            {
                "id": "7db5db0fac7548efb86a3bb4c3f3b34a",
                "campusId": "b83cb060d1794eb18ace98f83ca1b091",
                "name": "二",
                "code": "150223211102002",
                "password": null,
                "serialNo": 2,
                "status": "NORMAL",
                "gmtCreated": 1514445138000,
                "gmtModified": 1514445138000,
                "merchantId": "1",
                "remoteUid": null,
                "merchantName": "huodong",
                "contactName": "test",
                "mobile": "18233332209",
                "deviceStatus":0
            }
        ],
        "start": 0,
        "totalNo": 2
    }
}
```

####    修改说明:
    ####    20180606 
    返回结果新增设备绑定状态   0未绑定   1已绑定
