### GET /ware/list
* method: GET
* version: v1.0
* describe: 获取课件列表

##### 参数说明

|name |type| null | desc |
|---- |:---|:---|:----:|
| code | string | yes | 课件编码 |
| name | string | yes | 课件名称 |
| pageNo | string | yes | 页码 |
| pageSize | string | yes | 页大小 |

##### 返回字段说明
| name | type | desc |
|------|:-----|:----:|
| id | string | 课件id |
| code | string | 课件编码 |
| name | string | 课件名称 |
| digest| string | 课件描述 |
| resourceList| array | 资源数组 |
| cpId| string | 内容提供商id |
| cpName| string | 内容提供商名字 |
| status| string| 状态 |
| gmtCreated|int | 创建时间 |
| gmtModified|int|修改时间|

##### 结果示例
```
{
    "code": 200,
    "success": true,
    "message": null,
    "data": {
        "pageNo": 1,
        "pageSize": 3,
        "totalSize": 11,
        "list": [
            {
                "id": 1511425213814978,
                "code": "J-test-310",
                "name": "小学310",
                "digest": null,
                "type": "SINGLE",
                "playUrl": null,
                "resourceList": [],
                "cpId": 300,
                "cpName": "hello",
                "sort": null,
                "status": "NORMAL",
                "gmtCreated": 1511264969000,
                "gmtModified": 1511264969000
            },
            {
                "id": 1511425207333906,
                "code": "J-test-309",
                "name": "小学300",
                "digest": null,
                "type": "SINGLE",
                "playUrl": null,
                "imgList": [],
                "cpId": 300,
                "cpName": "hello",
                "sort": null,
                "status": "NORMAL",
                "gmtCreated": 1511264969000,
                "gmtModified": 1511264969000
            },
            {
                "id": 1511425201409458,
                "code": "J-test-308",
                "name": "小学300",
                "digest": null,
                "type": "SINGLE",
                "playUrl": null,
                "imgList": [],
                "cpId": 300,
                "cpName": "hello",
                "sort": null,
                "status": "NORMAL",
                "gmtCreated": 1511264969000,
                "gmtModified": 1511264969000
            }
        ],
        "start": 0,
        "totalNo": 4
    }
}
```
