### event_log table structure
> 此表为用户行为


| field | type | null | default | desc | extra |
|----|:-----|:-------|:------|:-----|:-----|
| id | string | no | | 主键 | pri |
| user_id | string | yes | 0 | 用户id | |
| merchant_id | string | yes | 0 | 渠道商id | |
| event_type | int | no | | 事件类型 | |
| tar_name | varchar(512) | yes | null | 目标名称 | |
| tar_id | varchar(512) | yes | null | 目标id | |
| value | string | no | 0 | 行为值 | |
| platform | smallint | yes | null | | |
| gmt_created | timestamp | no | now | 创建时间 | |
| gmt_modified | timestamp | no | gmt_created | 修改时间 | | |

##### index

##### create sql
```
CREATE TABLE `event_log` (
  `id` string(20) NOT NULL AUTO_INCREMENT,
  `user_id` string(16) DEFAULT NULL COMMENT '用户id',
  `merchant_id` string(20) DEFAULT NULL COMMENT '渠道商',
  `type` int NOT NULL COMMENT '事件类型',
  `tar_name` varchar(512) DEFAULT NULL COMMENT '目标名称',
  `tar_id` varchar(512) DEFAULT NULL COMMENT '目标id',
  `value` string(20) DEFAULT 0 COMMENT '事件值',
  `platform` smallint(6) DEFAULT NULL COMMENT '播放平台 TV APP ...',
  `gmt_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
```
